# include "basic.h"
# include "scheduler.h"

int task	    PROTO((int, char **));
int task_host	    PROTO((int, char **));
int task_macros	    PROTO((int, char **));
int task_command    PROTO((int, char **));
int task_periods    PROTO((int, char **));
int schedule        PROTO((int, char **));

static Command cmds[] = {  
  {"task",      task,         "define a schedulable task"},
  {"host",      task_host,    "define host machine for a task"},
  {"task.exit", task_macros,  "define exit macros for a task"},
  {"task.exec", task_macros,  "define pre-exec macro for a task"},
  {"command",   task_command, "define executed command for a task"},
  {"periods",   task_periods, "define time scales for a task"},
  {"schedule",  schedule,     "schedule the tasks"},
}; 

void InitSched () {
  
  int i;

  for (i = 0; i < sizeof (cmds) / sizeof (Command); i++) {
    AddCommand (&cmds[i]);
  }

}
